package com.ym.mec.biz.event;

import com.ym.mec.biz.dal.enums.StudentMusicGroupStatusEnum;
import org.springframework.context.ApplicationEvent;

import java.util.List;

/**
 * @Author Joburgess
 * @Date 2021/2/24 0024
 */
public class MusicGroupStudentChangeEvent extends ApplicationEvent {

    private String musicGroupId;

    private StudentMusicGroupStatusEnum studentMusicGroupStatus;

    private List<Integer> studentIds;

    public MusicGroupStudentChangeEvent(Object source, String musicGroupId, StudentMusicGroupStatusEnum studentMusicGroupStatus, List<Integer> studentIds) {
        super(source);
        this.musicGroupId = musicGroupId;
        this.studentMusicGroupStatus = studentMusicGroupStatus;
        this.studentIds = studentIds;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public StudentMusicGroupStatusEnum getStudentMusicGroupStatus() {
        return studentMusicGroupStatus;
    }

    public void setStudentMusicGroupStatus(StudentMusicGroupStatusEnum studentMusicGroupStatus) {
        this.studentMusicGroupStatus = studentMusicGroupStatus;
    }

    public List<Integer> getStudentIds() {
        return studentIds;
    }

    public void setStudentIds(List<Integer> studentIds) {
        this.studentIds = studentIds;
    }
}
